Skip to main content
Create webhook subscription
curl --request POST \
  --url https://api.maple.inc/v1/webhook_subscriptions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "notification_url": "<string>",
  "event_types": [
    "<string>"
  ]
}
'
{
  "object": "webhook_subscription.created",
  "subscription": {
    "object": "webhook_subscription",
    "id": "<string>",
    "notification_url": "<string>",
    "event_types": [
      "<string>"
    ],
    "created_at": "<string>",
    "updated_at": "<string>"
  },
  "signing_secret": "<string>"
}

Authorizations

Authorization
string
header
required

API key — mpk_test_… for the sandbox, mpk_live_… for production. Issued by Maple during partner onboarding.

Body

application/json
notification_url
string
required
Minimum string length: 1
Pattern: ^\S[\s\S]*\S$|^\S$|^$
event_types
string[]
required

Response

Success

object
enum<string>
required
Available options:
webhook_subscription.created
subscription
object
required
signing_secret
string
required

One-time HMAC-SHA256 signing secret (mwhsec_…) used to verify webhook deliveries. Store it now; it is never shown again.